[pkg-perl-tools] 01/02: posix-lib.sh: run the pipe/tee magic only for subcommands

gregor herrmann gregoa at debian.org
Sun Dec 25 17:53:16 UTC 2016


This is an automated email from the git hooks/post-receive script.

gregoa pushed a commit to branch master
in repository pkg-perl-tools.

commit 5d1ea13b1f51f2286e332d70dfea77ebd9c63d6c
Author: gregor herrmann <gregoa at debian.org>
Date:   Sun Dec 25 18:50:10 2016 +0100

    posix-lib.sh: run the pipe/tee magic only for subcommands
    
    where it's actually used later on.
---
 scripts/lib/posix-lib.sh | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

diff --git a/scripts/lib/posix-lib.sh b/scripts/lib/posix-lib.sh
index f4ec4a0..2beb98e 100644
--- a/scripts/lib/posix-lib.sh
+++ b/scripts/lib/posix-lib.sh
@@ -16,6 +16,18 @@
 dpt() {
     local REAL TMP ES
     REAL=`command which dpt`
+    ES=0
+
+    case "$1" in
+        cd|co|checkout)
+            # continue below
+            ;;
+        *)
+            $REAL "$@" || ES=$?
+            return $ES
+            ;;
+    esac
+
     TMP=`mktemp -d --suffix=.dpt`
     if [ -n "${BASH:-}" ]; then
         trap "command rm -rf '$TMP'" RETURN
@@ -27,7 +39,6 @@ dpt() {
     set +m
     tee "$TMP/out" < "$TMP/pipe" &
     )
-    ES=0
     $REAL "$@" > "$TMP/pipe" || ES=$?
 
     [ -e "$TMP/out" ] || return $ES

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-perl/packages/pkg-perl-tools.git



More information about the Pkg-perl-cvs-commits mailing list